> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet - Net Worth Chart

> Get historical net worth chart data for a wallet with hourly snapshots



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/wallet/{chain}/{walletAddress}/net-worth-chart
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/wallet/{chain}/{walletAddress}/net-worth-chart:
    get:
      tags:
        - Wallet
      summary: Wallet - Net Worth Chart
      description: Get historical net worth chart data for a wallet with hourly snapshots
      operationId: get.net.worth.chart
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: An address of a wallet
          required: true
          schema:
            type: string
          example: 3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w
        - name: hours
          in: query
          description: Time range in hours (1-720, default 24)
          required: false
          schema:
            type: integer
            format: int32
            default: 24
          example: 24
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletNetWorthChartResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletNetWorthChartResponse:
      type: object
      description: Wallet net-worth chart response with pagination.
      required:
        - walletAddress
        - currentTimestamp
        - pastTimestamp
        - history
      properties:
        currentTimestamp:
          type: string
          description: Current server timestamp
          example: '2025-07-31T23:59:59.000Z'
        history:
          type: array
          items:
            $ref: '#/components/schemas/NetWorthHistoryItem'
          description: List of historical net-worth data points
        pastTimestamp:
          type: string
          description: Start timestamp of chart period
          example: '2025-07-01T23:59:59.000Z'
        walletAddress:
          type: string
          description: Wallet address
          example: 3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w
    NetWorthHistoryItem:
      type: object
      description: Single data point in a net-worth chart time series.
      required:
        - timestamp
        - netWorth
        - netWorthChange
        - netWorthChangePercent
      properties:
        netWorth:
          type: string
          description: Net worth value in USD
          example: '13210463.21'
        netWorthChange:
          type: string
          description: Net worth change from previous snapshot
          example: '1971274.94'
        netWorthChangePercent:
          type: string
          description: Net worth change percentage
          example: '17.54'
        timestamp:
          type: string
          description: Snapshot timestamp
          example: '2025-07-30T23:59:59.000Z'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````